package com.web.web_assignment;

public class UserInfo {
    private String name;
    private String introduction;
    private String interests;
    private String experiences;
    private String skills;
    private String careerGoals;

    public UserInfo(String name, String introduction, String interests, String experiences, String skills, String careerGoals) {
        this.name = name;
        this.introduction = introduction;
        this.interests = interests;
        this.experiences = experiences;
        this.skills = skills;
        this.careerGoals = careerGoals;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getInterests() {
        return interests;
    }

    public void setInterests(String interests) {
        this.interests = interests;
    }

    public String getExperiences() {
        return experiences;
    }

    public void setExperiences(String experiences) {
        this.experiences = experiences;
    }

    public String getSkills() {
        return skills;
    }

    public void setSkills(String skills) {
        this.skills = skills;
    }

    public String getCareerGoals() {
        return careerGoals;
    }

    public void setCareerGoals(String careerGoals) {
        this.careerGoals = careerGoals;
    }


    @Override
    public String toString() {
        return "UserInfo{" +
                "username='" + name + '\'' +
                ", introduction='" + introduction + '\'' +
                ", interests='" + interests + '\'' +
                ", experiences='" + experiences + '\'' +
                ", skills='" + skills + '\'' +
                ", careerGoals='" + careerGoals + '\'' +
                '}';
    }
}